<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2014 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<resources>
    <!-- Flag indicating that the media framework should support playing of sounds on volume
         key usage.  This adds noticeable additional overhead to volume key processing, so
         is disableable for products for which it is irrelevant. -->
    <bool name="config_useVolumeKeySounds">false</bool>

    <!-- Disable AUDIO_BECOMING_NOISY notifications. -->
    <bool name="config_sendAudioBecomingNoisy">false</bool>

    <!-- This device is data-only. -->
    <bool name="config_voice_capable">false</bool>

    <!-- This device does not allow sms service. -->
    <bool name="config_sms_capable">false</bool>

    <!-- Control the default UI mode type to use when there is no other type override
         happening.  One of the following values (See Configuration.java):
             1  UI_MODE_TYPE_NORMAL
             4  UI_MODE_TYPE_TELEVISION
             5  UI_MODE_TYPE_APPLIANCE
         Any other values will have surprising consequences. -->
    <integer name="config_defaultUiModeType">4</integer>

    <!-- Control the behavior when the user long presses the home button.
            0 - Nothing
            1 - Launch all apps intent
            2 - Launch assist intent
         This needs to match the constants in
         policy/src/com/android/internal/policy/impl/PhoneWindowManager.java
    -->
    <integer name="config_longPressOnHomeBehavior">1</integer>

    <!-- Override configuration check for dpad so that we always appear to have one -->
    <bool name="config_hasPermanentDpad">true</bool>

    <bool name="config_defaultInTouchMode">false</bool>

    <!-- Launcher customization requires AppWidgetService, but otherwise
         home screen widgets are not supported on TV -->
    <bool name="config_enableAppWidgetService">true</bool>

    <!-- Package of the unbundled tv remote service which can connect to tv remote provider -->
    <string translatable="false" name="config_tvRemoteServicePackage">com.google.android.tv.remote.service</string>

    <!-- Regex of Ethernet ifaces -->
    <string translatable="false" name="config_ethernet_iface_regex">eth0</string>
</resources>
